/**
* @desc CGA APP全局配置
*/
//注册配置命名空间
$.registerNameSpace("cga.config");
$.cga.config.YD_ENV = "unknown"; // 定义环境
if(self.location.href.search(/^https?:\/\/dev/i) > -1){
	$.cga.config.YD_ENV = "dev";
}else{
	// 测试或线上环境
	$.cga.config.YD_ENV = "online_or_test";
}
if($.cga.config.YD_ENV == "dev"){
	$.extend($.cga.config, {
		SITE_URL: 'http://dev.newpt.cga.com.cn',
		STATIC_URL: 'http://dev.newptstatic.cga.com.cn',
		SITE_DOMAIN: 'dev.newpt.cga.com.cn'
	});
}else{
	$.extend($.cga.config, {
		SITE_URL: 'http://newpt.cga.com.cn',
		STATIC_URL: 'http://newptstatic.cga.com.cn',
		SITE_DOMAIN: 'newpt.cga.com.cn'
	});
}
$.extend($.cga.config, {
	getJSPath : function(){
		return this.STATIC_URL+"/" + 'src';
	},
	getCSSPath : function (){
		return this.STATIC_URL+"/" + 'css';
	},
	getImagesPath : function(){
		return this.STATIC_URL+"/" + 'images';
	}
});
